package net.ibizsys.central.plugin.boot.core.service.impl;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.ibizsys.central.plugin.boot.core.domain.BaseData;
import net.ibizsys.central.plugin.boot.core.filter.BaseFilter;
import net.ibizsys.central.plugin.boot.core.service.IMPService;
import org.springframework.beans.factory.annotation.Autowired;


public  abstract class MPServiceImpl<T extends BaseData, F extends BaseFilter, M extends BaseMapper<T>> extends BaseServiceImpl<T,F> implements IMPService<T, F, M> {

    @Autowired
    protected M baseMapper;
    public M getBaseMapper() {
        return this.baseMapper;
    }

}

